import { store } from "@/store";
export const useProcessStore = defineStore(
  "process",
  () => {
    //首页到工序操作传递参数
    const odersData = ref<any>({});
    const processInfo = ref<any>({});
    function setOdersData(obj: object) {
      odersData.value = obj;
    }
    function setProcessInfo(obj: object) {
      processInfo.value = obj;
    }
    return { odersData, processInfo, setOdersData, setProcessInfo };
  },
  {
    //开启持久化存储
    persist: true,
  }
);
export function useProcessStoreHook() {
  return useProcessStore(store);
}
